
QGIS Application - Bug report #14091

The dev don't support the WMS layer in QR defs

2016-01-12 02:34 PM - aperi2007 -

Status: Closed

Priority: Severe/Regression

Assignee: Sebastian Dietrich

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22099

Description

The QGIS-dev when saving a wms layer as Definition layer is not readable  from the qgis-dem himself.

I test with the qgis 2.12 and it work.

As example, I report a qlr saved with qgis-dev. Updated today.

This sample is saved from qgis-dev,

but it don't work with the same qgis-dev.

Instead it work using qgis 2.12.

Associated revisions

Revision 0ca359e4 - 2016-01-15 10:35 PM - Sebastian Dietrich 

make QLR files containing non-vector layers work again

This was a regression introduced in ff3200fd6c507429b50c56b8307869d62cce6dcf.

(fixes #14091)

Revision 9dd6c0a4 - 2016-01-16 07:31 PM - Jürgen Fischer

Merge pull request #2683 from SebDieBln/FixNonVectorQLR

[Regression] make QLR files containing non-vector layers work again (fixes #14091)

History

#1 - 2016-01-12 10:48 PM - aperi2007 -

- File sample_wms.zip added

#2 - 2016-01-13 12:53 AM - aperi2007 -

- Category set to Symbology

#3 - 2016-01-13 12:55 AM - aperi2007 -

- Category changed from Symbology to Map Canvas

#4 - 2016-01-13 02:32 AM - Sebastian Dietrich

Does it work when saving a project containing this WMS layer?
#5 - 2016-01-13 04:29 AM - aperi2007 -

I tried this.

I create a new project and drag-n-drop the qlr in it.

I see nothing as reported.

After I save the project and reopen it.

The project is empty.

#6 - 2016-01-13 06:37 AM - Giovanni Manghi

- Target version set to Version 2.14

- Priority changed from Normal to Severe/Regression

- Crashes QGIS or corrupts data changed from No to Yes

Master (on Windows) also crashes here when opening the attached qlr, is fine on 2.12.2

#7 - 2016-01-13 04:01 PM - Sebastian Dietrich

Sebastian Dietrich wrote:

Does it work when saving a project containing this WMS layer?

What I meant was:

    -  Create a new project

    -  Create the WMS layer

    -  Save the project

    -  Close QGIS and reopen it

    -  Open the project

Is the layer there? Does QGIS crash?

Please attach the created project file.

#8 - 2016-01-14 02:12 AM - aperi2007 -

- File sample_project.zip added

Sebastian Dietrich wrote:

Sebastian Dietrich wrote:

Does it work when saving a project containing this WMS layer?

What I meant was:    -  Create a new project

    -  Create the WMS layer

    -  Save the project

    -  Close QGIS and reopen it

    -  Open the project

Is the layer there? Does QGIS crash?
Please attach the created project file.

No problem with this solution.

I add a project QGIS to this ticket.

#9 - 2016-01-15 01:24 PM - Sebastian Dietrich

- Status changed from Open to In Progress

- Assignee set to Sebastian Dietrich

- % Done changed from 0 to 30

#10 - 2016-01-15 01:47 PM - Sebastian Dietrich

See PR 2683 for the solution. It was a regression introduced in commit:ff3200fd6c507429b50c56b8307869d62cce6dcf. QLR files containing non-vector

layers triggered this issue.

Interesting observation:    -  Opening an offending QLR via "Load layer definition" crashed QGIS.

    -  Opening an offending QLR via drag'n'drop just did nothing.

#11 - 2016-01-15 01:48 PM - Sebastian Dietrich

- Pull Request or Patch supplied changed from No to Yes

- % Done changed from 30 to 100

#12 - 2016-01-16 10:32 AM - Jürgen Fischer

- Status changed from In Progress to Closed

Fixed in changeset commit:"9dd6c0a4653e29b9189385d89f225e514bbe1d72".

Files

sample_wms.zip 1.16 KB 2016-01-12 aperi2007 -

sample_project.zip 1.89 KB 2016-01-14 aperi2007 -
https://github.com/qgis/QGIS/pull/2683

